Package it.ernytech.tdlib

## Class TdApi.CheckAuthenticationBotToken

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.CheckAuthenticationBotToken

Enclosing class:
  TdApi

    public static class TdApi.CheckAuthenticationBotToken
    extends TdApi.Function

Checks the authentication token of a bot; to log in as a bot. Works only when the current authorization state is authorizationStateWaitPhoneNumber. Can be used instead of setAuthenticationPhoneNumber and checkAuthenticationCode to log in.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `token` The bot token.

### Constructor Summary

Constructors
`CheckAuthenticationBotToken()` Default constructor.
`CheckAuthenticationBotToken​(java.lang.String token)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### token

    public java.lang.String token

The bot token.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CheckAuthenticationBotToken

    public CheckAuthenticationBotToken()

Default constructor.

#### CheckAuthenticationBotToken

    public CheckAuthenticationBotToken​(java.lang.String token)

Constructor for initialization of all fields.

Parameters:
  `token` - The bot token.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR